This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 67086 - Module "off" is a special case
Module "off" is a special case
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-19 15:53 EDT by Pete Zaitcev
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-19 15:53:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2002-06-19 15:53:18 EDT
Description of Problem:

When installing kernel 2.4.9-34, the following message appeared:

No module off found for kernel 2.4.9-34

Version-Release number of selected component (if applicable):

mkinitrd-3.3.10-1

How Reproducible:

Always with /etc/modules.conf

Steps to Reproduce:

Have the following entry in the /etc/modules.conf:

alias scsi_hostadapter off

Actual Results:

/boot/initrd-2.4.9-31.img is not created

Expected Results:

The initrd image created with no error messages.

Additional Information:
	
[zaitcev@elanor zaitcev]$ cat /etc/modules.conf
#
# Let's hope this works right.
alias eth0 3c59x
alias eth1 3c509
#
# Nothing is connected, prints a lot of stupid messages
alias scsi_hostadapter off
#
alias parport_lowlevel parport_pc
#
#alias usb-controller usb-ohci
Comment 1 Erik Troan 2002-06-19 22:41:42 EDT
fixed in CVS; I need to make some more updates to mkinitrd before building a
new package

Note You need to log in before you can comment on or make changes to this bug.